Invoices describe the amount due to a user for a given subscription period, including any relevant taxes and fees.
Type of object is always invoice.
invoice Unique identifier for the invoice.
"inv_0SNlurA049MEWV1QTRqvd18YuG25"The unique identifier for the address this invoice relates to.
"adr_0SNlurA049MEWV5ELDmnaqVXgTFT"{"amount":1199,"currency":"USD"}The price amount in the currency's minor unit, e.g. "cents" for many currencies.
999>= 0Three-letter ISO 4217 currency code. Must be a supported currency.
"USD"Time when the invoice was created.
"2024-01-09T15:00:51Z"{"amount":100,"currency":"USD"}Time when the invoice is due to be paid. After this time and the invoiceGracePeriodDays, which can be configured on project or subscription level, the invoice becomes overdue.
This field will have a value for invoices in the finalized state that have a reason of subscriptionRenewal. For all other invoices, this field will be null.
"2024-02-01T11:12:13Z"{"amount":100,"currency":"USD"}The name of the fee.
"Recovery Fee"The type of the fee.
recoveryFee A signed URL to download the invoice PDF file. The URL is valid for 1 minute.
This field is null for projects without billing enabled,
and for invoices covering US-taxed plans.
"https://files.gigs.com/invoices/inv_0SNlurA049MEWV1QTRqvd18YuG25.pdf?signature=abc123"Time when the invoice was finalized and could no longer be changed.
"2024-02-01T11:12:13Z"Time when the invoice is considered overdue. Once this happens, invoiceOverdueAction, which can be configured on project or subscription level, is applied.
This field will have a value for invoices in the finalized state that have a reason of subscriptionRenewal. For all other invoices, this field will be null.
"2024-02-01T11:13:13Z"Time when the invoice was paid.
"2024-02-01T11:13:13Z"The unique identifier for the payment associated with the invoice, if any. Only present if the invoice has been paid using Gigs Payments.
"pay_0SNlurA049MEWV2HRA0slWFuS8DV"Sequence number of the period.
1>= 1Beginning of the period.
"2021-01-21T19:32:13Z"End of the period.
"2021-02-20T19:38:34Z"The reason this invoice was created. It can have one of the following values:
subscriptionCreation: The invoice is due to a new subscription.subscriptionRenewal: The invoice is due to a recurring subscription renewal.subscriptionChange: The invoice is due to a subscription change (e.g. plan upgrade).subscriptionRestore: The invoice is due to a subscription restore.other: The invoice is not related to a subscription but due an e.g. one-time addon.other subscriptionChange subscriptionCreation subscriptionRenewal subscriptionRestore The status of the invoice. It can have one of the following values:
draft: The invoice is still being edited.finalized: The invoice can no longer be changed and is awaiting payment.paid: The invoice was paid. This causes the associated resources to activated.voided: The invoice was voided and no longer has any effect."draft"draft finalized paid voided The unique identifier for the subscription that this invoice relates to.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"{"amount":999,"currency":"USD"}{"amount":200,"currency":"USD"}The reason for the invoice having no taxes calculated, if any. It can have one of the following values:
calculationFailed: The tax calculation failed for an unspecified reason.fullyDiscounted: The invoice is fully discounted due to a voucher or a free product.inclusiveTaxExceedsPrice: The calculated tax is too large to be included in the price.userExempted: The user is marked as exempted from taxes."calculationFailed"calculationFailed fullyDiscounted inclusiveTaxExceedsPrice userExempted {"amount":1199,"currency":"USD"}The unique identifier for the voucher applied to the invoice, if any.
"vou_0SNlurA049MEWV0h2jfjkdiOdplN"{
"object": "invoice",
"id": "inv_0SNlurA049MEWV1QTRqvd18YuG25",
"address": "adr_0SNlurA049MEWV5ELDmnaqVXgTFT",
"appliedBalance": {
"amount": 1199,
"currency": "USD"
},
"createdAt": "2024-01-09T15:01:51.0Z",
"discount": {
"amount": 100,
"currency": "USD"
},
"dueAt": "2024-02-01T11:12:13Z",
"fees": [
{
"amount": {
"amount": 100,
"currency": "USD"
},
"name": "Recovery Fee",
"type": "recoveryFee"
}
],
"fileUrl": "https://files.gigs.com/invoices/inv_0SNlurA049MEWV1QTRqvd18YuG25.pdf?signature=abc123",
"finalizedAt": "2024-02-01T11:12:13Z",
"lineItems": [
{
"object": "invoiceLineItem",
"id": "lin_0SNlurA049MEWV11QUKZGDMxJmKe",
"addon": "add_0SNlurA049MEWV4VxLfwJc7PJtHc",
"creditedPlan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"discount": {
"amount": 100,
"currency": "USD"
},
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"subscriptionAddon": "sad_0SNlurA049MEWV2UNWPbDfW5B40U",
"subscriptionChange": "sch_0SNlurA049MEWV3bE0SMtbIEJApp",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"taxes": [
{
"object": "invoiceTax",
"id": "itx_0SNlurA049MEWV5Mw7cjrxFUo2Y3",
"amount": {
"amount": 200,
"currency": "USD"
},
"inclusive": false,
"jurisdiction": "Federal",
"name": "Federal TRS Fund"
}
],
"total": {
"amount": 1099,
"currency": "USD"
}
}
],
"overdueAt": "2024-02-01T11:13:13Z",
"paidAt": "2024-02-01T11:13:13Z",
"payment": "pay_0SNlurA049MEWV2HRA0slWFuS8DV",
"period": {
"number": 1,
"start": "2021-01-21T19:32:13.0Z",
"end": "2021-02-20T19:38:34.0Z"
},
"reason": "other",
"status": "draft",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"taxExemptionReason": "calculationFailed",
"total": {
"amount": 1199,
"currency": "USD"
},
"voucher": "vou_0SNlurA049MEWV0h2jfjkdiOdplN"
}
Returns a list of invoices.
A cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200The unique identifier of the user to filter by.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"The unique identifier of the subscription to filter by.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"The unique identifier of the subscription addon to filter by.
"sad_0SNlurA049MEWV2UNWPbDfW5B40U"The unique identifier of the subscription change to filter by.
"sch_0SNlurA049MEWV3bE0SMtbIEJApp"A comma-separated list of statuses to filter by.
A comma-separated list of reasons to filter by.
Returns a dictionary with an items property that contains an array of invoices.
Type of object is always list.
list invoice.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/invoices \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "invoice",
"id": "inv_0SNlurA049MEWV1QTRqvd18YuG25",
"address": "adr_0SNlurA049MEWV5ELDmnaqVXgTFT",
"appliedBalance": {
"amount": 1199,
"currency": "USD"
},
"createdAt": "2024-01-09T15:00:51Z",
"discount": {
"amount": 100,
"currency": "USD"
},
"dueAt": "2024-02-01T11:12:13Z",
"fees": [
{
"amount": {
"amount": 100,
"currency": "USD"
},
"name": "Recovery Fee",
"type": "recoveryFee"
}
],
"fileUrl": "https://files.gigs.com/invoices/inv_0SNlurA049MEWV1QTRqvd18YuG25.pdf?signature=abc123",
"finalizedAt": "2024-02-01T11:12:13Z",
"lineItems": [
{
"object": "invoiceLineItem",
"id": "lin_0SNlurA049MEWV11QUKZGDMxJmKe",
"addon": "add_0SNlurA049MEWV4VxLfwJc7PJtHc",
"creditedPlan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"discount": {
"amount": 100,
"currency": "USD"
},
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"subscriptionAddon": "sad_0SNlurA049MEWV2UNWPbDfW5B40U",
"subscriptionChange": "sch_0SNlurA049MEWV3bE0SMtbIEJApp",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"taxes": [
{
"object": "invoiceTax",
"id": "itx_0SNlurA049MEWV5Mw7cjrxFUo2Y3",
"amount": {
"amount": 200,
"currency": "USD"
},
"inclusive": false,
"jurisdiction": "Federal",
"name": "Federal TRS Fund"
}
],
"total": {
"amount": 1099,
"currency": "USD"
}
}
],
"overdueAt": "2024-02-01T11:13:13Z",
"paidAt": "2024-02-01T11:13:13Z",
"payment": "pay_0SNlurA049MEWV2HRA0slWFuS8DV",
"period": {
"number": 1,
"start": "2021-01-21T19:32:13Z",
"end": "2021-02-20T19:38:34Z"
},
"reason": "other",
"status": "draft",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"taxExemptionReason": "calculationFailed",
"total": {
"amount": 1199,
"currency": "USD"
},
"voucher": "vou_0SNlurA049MEWV0h2jfjkdiOdplN"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Retrieves the details of an existing invoice.
Returns the invoice.
Type of object is always invoice.
invoice Unique identifier for the invoice.
"inv_0SNlurA049MEWV1QTRqvd18YuG25"The unique identifier for the address this invoice relates to.
"adr_0SNlurA049MEWV5ELDmnaqVXgTFT"{"amount":1199,"currency":"USD"}The price amount in the currency's minor unit, e.g. "cents" for many currencies.
999>= 0Three-letter ISO 4217 currency code. Must be a supported currency.
"USD"Time when the invoice was created.
"2024-01-09T15:00:51Z"{"amount":100,"currency":"USD"}Time when the invoice is due to be paid. After this time and the invoiceGracePeriodDays, which can be configured on project or subscription level, the invoice becomes overdue.
This field will have a value for invoices in the finalized state that have a reason of subscriptionRenewal. For all other invoices, this field will be null.
"2024-02-01T11:12:13Z"{"amount":100,"currency":"USD"}The name of the fee.
"Recovery Fee"The type of the fee.
recoveryFee A signed URL to download the invoice PDF file. The URL is valid for 1 minute.
This field is null for projects without billing enabled,
and for invoices covering US-taxed plans.
"https://files.gigs.com/invoices/inv_0SNlurA049MEWV1QTRqvd18YuG25.pdf?signature=abc123"Time when the invoice was finalized and could no longer be changed.
"2024-02-01T11:12:13Z"Time when the invoice is considered overdue. Once this happens, invoiceOverdueAction, which can be configured on project or subscription level, is applied.
This field will have a value for invoices in the finalized state that have a reason of subscriptionRenewal. For all other invoices, this field will be null.
"2024-02-01T11:13:13Z"Time when the invoice was paid.
"2024-02-01T11:13:13Z"The unique identifier for the payment associated with the invoice, if any. Only present if the invoice has been paid using Gigs Payments.
"pay_0SNlurA049MEWV2HRA0slWFuS8DV"Sequence number of the period.
1>= 1Beginning of the period.
"2021-01-21T19:32:13Z"End of the period.
"2021-02-20T19:38:34Z"The reason this invoice was created. It can have one of the following values:
subscriptionCreation: The invoice is due to a new subscription.subscriptionRenewal: The invoice is due to a recurring subscription renewal.subscriptionChange: The invoice is due to a subscription change (e.g. plan upgrade).subscriptionRestore: The invoice is due to a subscription restore.other: The invoice is not related to a subscription but due an e.g. one-time addon.other subscriptionChange subscriptionCreation subscriptionRenewal subscriptionRestore The status of the invoice. It can have one of the following values:
draft: The invoice is still being edited.finalized: The invoice can no longer be changed and is awaiting payment.paid: The invoice was paid. This causes the associated resources to activated.voided: The invoice was voided and no longer has any effect."draft"draft finalized paid voided The unique identifier for the subscription that this invoice relates to.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"{"amount":999,"currency":"USD"}{"amount":200,"currency":"USD"}The reason for the invoice having no taxes calculated, if any. It can have one of the following values:
calculationFailed: The tax calculation failed for an unspecified reason.fullyDiscounted: The invoice is fully discounted due to a voucher or a free product.inclusiveTaxExceedsPrice: The calculated tax is too large to be included in the price.userExempted: The user is marked as exempted from taxes."calculationFailed"calculationFailed fullyDiscounted inclusiveTaxExceedsPrice userExempted {"amount":1199,"currency":"USD"}The unique identifier for the voucher applied to the invoice, if any.
"vou_0SNlurA049MEWV0h2jfjkdiOdplN"curl https://api.gigs.com/projects/${GIGS_PROJECT}/invoices/{invoice} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "invoice",
"id": "inv_0SNlurA049MEWV1QTRqvd18YuG25",
"address": "adr_0SNlurA049MEWV5ELDmnaqVXgTFT",
"appliedBalance": {
"amount": 1199,
"currency": "USD"
},
"createdAt": "2024-01-09T15:00:51Z",
"discount": {
"amount": 100,
"currency": "USD"
},
"dueAt": "2024-02-01T11:12:13Z",
"fees": [
{
"amount": {
"amount": 100,
"currency": "USD"
},
"name": "Recovery Fee",
"type": "recoveryFee"
}
],
"fileUrl": "https://files.gigs.com/invoices/inv_0SNlurA049MEWV1QTRqvd18YuG25.pdf?signature=abc123",
"finalizedAt": "2024-02-01T11:12:13Z",
"lineItems": [
{
"object": "invoiceLineItem",
"id": "lin_0SNlurA049MEWV11QUKZGDMxJmKe",
"addon": "add_0SNlurA049MEWV4VxLfwJc7PJtHc",
"creditedPlan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"discount": {
"amount": 100,
"currency": "USD"
},
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"subscriptionAddon": "sad_0SNlurA049MEWV2UNWPbDfW5B40U",
"subscriptionChange": "sch_0SNlurA049MEWV3bE0SMtbIEJApp",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"taxes": [
{
"object": "invoiceTax",
"id": "itx_0SNlurA049MEWV5Mw7cjrxFUo2Y3",
"amount": {
"amount": 200,
"currency": "USD"
},
"inclusive": false,
"jurisdiction": "Federal",
"name": "Federal TRS Fund"
}
],
"total": {
"amount": 1099,
"currency": "USD"
}
}
],
"overdueAt": "2024-02-01T11:13:13Z",
"paidAt": "2024-02-01T11:13:13Z",
"payment": "pay_0SNlurA049MEWV2HRA0slWFuS8DV",
"period": {
"number": 1,
"start": "2021-01-21T19:32:13Z",
"end": "2021-02-20T19:38:34Z"
},
"reason": "other",
"status": "draft",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"taxExemptionReason": "calculationFailed",
"total": {
"amount": 1199,
"currency": "USD"
},
"voucher": "vou_0SNlurA049MEWV0h2jfjkdiOdplN"
}
Marks the invoice as paid. This activates or allows to renew the products associated with the invoice.
Returns the invoice.
Type of object is always invoice.
invoice Unique identifier for the invoice.
"inv_0SNlurA049MEWV1QTRqvd18YuG25"The unique identifier for the address this invoice relates to.
"adr_0SNlurA049MEWV5ELDmnaqVXgTFT"{"amount":1199,"currency":"USD"}The price amount in the currency's minor unit, e.g. "cents" for many currencies.
999>= 0Three-letter ISO 4217 currency code. Must be a supported currency.
"USD"Time when the invoice was created.
"2024-01-09T15:00:51Z"{"amount":100,"currency":"USD"}Time when the invoice is due to be paid. After this time and the invoiceGracePeriodDays, which can be configured on project or subscription level, the invoice becomes overdue.
This field will have a value for invoices in the finalized state that have a reason of subscriptionRenewal. For all other invoices, this field will be null.
"2024-02-01T11:12:13Z"{"amount":100,"currency":"USD"}The name of the fee.
"Recovery Fee"The type of the fee.
recoveryFee A signed URL to download the invoice PDF file. The URL is valid for 1 minute.
This field is null for projects without billing enabled,
and for invoices covering US-taxed plans.
"https://files.gigs.com/invoices/inv_0SNlurA049MEWV1QTRqvd18YuG25.pdf?signature=abc123"Time when the invoice was finalized and could no longer be changed.
"2024-02-01T11:12:13Z"Time when the invoice is considered overdue. Once this happens, invoiceOverdueAction, which can be configured on project or subscription level, is applied.
This field will have a value for invoices in the finalized state that have a reason of subscriptionRenewal. For all other invoices, this field will be null.
"2024-02-01T11:13:13Z"Time when the invoice was paid.
"2024-02-01T11:13:13Z"The unique identifier for the payment associated with the invoice, if any. Only present if the invoice has been paid using Gigs Payments.
"pay_0SNlurA049MEWV2HRA0slWFuS8DV"Sequence number of the period.
1>= 1Beginning of the period.
"2021-01-21T19:32:13Z"End of the period.
"2021-02-20T19:38:34Z"The reason this invoice was created. It can have one of the following values:
subscriptionCreation: The invoice is due to a new subscription.subscriptionRenewal: The invoice is due to a recurring subscription renewal.subscriptionChange: The invoice is due to a subscription change (e.g. plan upgrade).subscriptionRestore: The invoice is due to a subscription restore.other: The invoice is not related to a subscription but due an e.g. one-time addon.other subscriptionChange subscriptionCreation subscriptionRenewal subscriptionRestore The status of the invoice. It can have one of the following values:
draft: The invoice is still being edited.finalized: The invoice can no longer be changed and is awaiting payment.paid: The invoice was paid. This causes the associated resources to activated.voided: The invoice was voided and no longer has any effect."draft"draft finalized paid voided The unique identifier for the subscription that this invoice relates to.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"{"amount":999,"currency":"USD"}{"amount":200,"currency":"USD"}The reason for the invoice having no taxes calculated, if any. It can have one of the following values:
calculationFailed: The tax calculation failed for an unspecified reason.fullyDiscounted: The invoice is fully discounted due to a voucher or a free product.inclusiveTaxExceedsPrice: The calculated tax is too large to be included in the price.userExempted: The user is marked as exempted from taxes."calculationFailed"calculationFailed fullyDiscounted inclusiveTaxExceedsPrice userExempted {"amount":1199,"currency":"USD"}The unique identifier for the voucher applied to the invoice, if any.
"vou_0SNlurA049MEWV0h2jfjkdiOdplN"curl https://api.gigs.com/projects/${GIGS_PROJECT}/invoices/{invoice}/pay \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "invoice",
"id": "inv_0SNlurA049MEWV1QTRqvd18YuG25",
"address": "adr_0SNlurA049MEWV5ELDmnaqVXgTFT",
"appliedBalance": {
"amount": 1199,
"currency": "USD"
},
"createdAt": "2024-01-09T15:00:51Z",
"discount": {
"amount": 100,
"currency": "USD"
},
"dueAt": "2024-02-01T11:12:13Z",
"fees": [
{
"amount": {
"amount": 100,
"currency": "USD"
},
"name": "Recovery Fee",
"type": "recoveryFee"
}
],
"fileUrl": "https://files.gigs.com/invoices/inv_0SNlurA049MEWV1QTRqvd18YuG25.pdf?signature=abc123",
"finalizedAt": "2024-02-01T11:12:13Z",
"lineItems": [
{
"object": "invoiceLineItem",
"id": "lin_0SNlurA049MEWV11QUKZGDMxJmKe",
"addon": "add_0SNlurA049MEWV4VxLfwJc7PJtHc",
"creditedPlan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"discount": {
"amount": 100,
"currency": "USD"
},
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"subscriptionAddon": "sad_0SNlurA049MEWV2UNWPbDfW5B40U",
"subscriptionChange": "sch_0SNlurA049MEWV3bE0SMtbIEJApp",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"taxes": [
{
"object": "invoiceTax",
"id": "itx_0SNlurA049MEWV5Mw7cjrxFUo2Y3",
"amount": {
"amount": 200,
"currency": "USD"
},
"inclusive": false,
"jurisdiction": "Federal",
"name": "Federal TRS Fund"
}
],
"total": {
"amount": 1099,
"currency": "USD"
}
}
],
"overdueAt": "2024-02-01T11:13:13Z",
"paidAt": "2024-02-01T11:13:13Z",
"payment": "pay_0SNlurA049MEWV2HRA0slWFuS8DV",
"period": {
"number": 1,
"start": "2021-01-21T19:32:13Z",
"end": "2021-02-20T19:38:34Z"
},
"reason": "other",
"status": "draft",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"taxExemptionReason": "calculationFailed",
"total": {
"amount": 1199,
"currency": "USD"
},
"voucher": "vou_0SNlurA049MEWV0h2jfjkdiOdplN"
}